package com.fastbee.deviceModel.service;

import java.util.List;
import com.fastbee.deviceModel.domain.DeviceModel;

/**
 * 设备型号Service接口
 * 
 * @author kerwincui
 * @date 2024-12-17
 */
public interface IDeviceModelService 
{
    /**
     * 查询设备型号
     * 
     * @param modelId 设备型号主键
     * @return 设备型号
     */
    public DeviceModel selectDeviceModelByModelId(Long modelId);

    /**
     * 查询设备型号列表
     * 
     * @param deviceModel 设备型号
     * @return 设备型号集合
     */
    public List<DeviceModel> selectDeviceModelList(DeviceModel deviceModel);

    /**
     * 新增设备型号
     * 
     * @param deviceModel 设备型号
     * @return 结果
     */
    public int insertDeviceModel(DeviceModel deviceModel);

    /**
     * 修改设备型号
     * 
     * @param deviceModel 设备型号
     * @return 结果
     */
    public int updateDeviceModel(DeviceModel deviceModel);

    /**
     * 批量删除设备型号
     * 
     * @param modelIds 需要删除的设备型号主键集合
     * @return 结果
     */
    public int deleteDeviceModelByModelIds(Long[] modelIds);

    /**
     * 删除设备型号信息
     * 
     * @param modelId 设备型号主键
     * @return 结果
     */
    public int deleteDeviceModelByModelId(Long modelId);
}
